import java.util.Scanner;

public class Kzdejgk {

    public static void main(String[] args) {
    Scanner in=new Scanner(System.in);
      int x=in.nextInt();
      double k[][]=new double[x][2];
      double kk[]=new double[x];
      int s=0;
      for(int i=0;i<x;i++){
          k[i][0]=in.nextDouble();
          k[i][1]=in.nextDouble();
      }
      for(int i=0;i<x;i++){
          for(int y=0;y<x;y++){
              if(k[i][1]<=k[y][1]){
                  kk[i]=kk[i]+(k[y][0]*(k[i][1]/100));
              }
          }
      }
      double m=kk[0];
      for(int i=1;i<x;i++){
          if(m<kk[i])
              s=i;
      }
      System.out.println(kk[s]);
    }
}